# $Revision: 1.40 $, $Date: 2009/02/27 10:09:55 $
# TODO: package bash-completion in proper way
Summary:	A framework for defining policy for system-wide components
Summary(pl.UTF-8):	Szkielet do definiowania polityki dla komponentów systemowych
Name:		PolicyKit
Version:	0.9
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://hal.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Source0-md5:	802fd13ae41f73d79359e5ecb0a98716
URL:		http://people.freedesktop.org/~david/polkit-spec.html
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake >= 1:1.7
BuildRequires:	dbus-devel >= 1.0
BuildRequires:	dbus-glib-devel >= 0.73
BuildRequires:	expat-devel >= 1:1.95.8
BuildRequires:	glib2-devel >= 1:2.6.0
BuildRequires:	gtk-doc >= 1.3
BuildRequires:	libselinux-devel >= 1.30
BuildRequires:	libtool
BuildRequires:	pam-devel >= 0.80
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xmlto
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/lib/rpm/user_group.sh
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	/usr/sbin/usermod
Requires(triggerpostun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	ConsoleKit >= 0.2.1
Requires:	dbus >= 1.1.2-5
Provides:	group(polkituser)
Provides:	user(polkituser)
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/%{name}

%description
PolicyKit is a framework for defining policy for system-wide
components and for desktop pieces to configure it. It is used by HAL.

%description -l pl.UTF-8
PolicyKit to szkielet do definiowania polityki dla komponentów
systemowych oraz składników pulpitu do konfigurowania ich. Jest
używany przez HAL-a.

%package apidocs
Summary:	PolicyKit API documentation
Summary(pl.UTF-8):	Dokumentacja API PolicyKit
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
PolicyKit API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API PolicyKit.

%package libs
Summary:	PolicyKit libraries
Summary(pl.UTF-8):	Biblioteki PolicyKit
Group:		Libraries
Requires:	dbus-libs >= 1.0
Requires:	glib2 >= 1:2.6.0
Conflicts:	PolicyKit < 0.1-0.20061203.6

%description libs
PolicyKit libraries.

%description libs -l pl.UTF-8
Biblioteki PolicyKit.

%package devel
Summary:	Header files for PolicyKit
Summary(pl.UTF-8):	Pliki nagłówkowe PolicyKit
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	expat-devel >= 1:1.95.8
# polkit-grant
#Requires:	glib2-devel >= 1:2.6.0
# polkit-dbus and polkit-grant
#Requires:	dbus-devel >= 1.0
# polkit-dbus
#Requires:	libselinux-devel >= 1.30

%description devel
Header files for PolicyKit.

%description devel -l pl.UTF-8
Pliki nagłówkowe PolicyKit.

%package static
Summary:	Static PolicyKit libraries
Summary(pl.UTF-8):	Statyczne biblioteki PolicyKit
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static PolicyKit libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PolicyKit.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-html-dir=%{_gtkdocdir} \
	--with-pam-include=system-auth \
	--with-pam-module-dir=/%{_lib}/security
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/PolicyKit/modules/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerun -- PolicyKit < 0.3
%service -q PolicyKit stop
/sbin/chkconfig --del PolicyKit

%pre
%groupadd -g 220 polkituser
%useradd -u 220 -d %{_datadir}/empty -c "PolicyKit User" -g polkituser polkituser

%post
umask 022
touch /var/lib/misc/PolicyKit.reload
chown polkituser:polkituser /var/lib/misc/PolicyKit.reload
chmod 775 /var/lib/misc/PolicyKit.reload

%postun
if [ "$1" = "0" ]; then
	%userremove polkituser
	%groupremove polkituser
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README doc/TODO
%attr(755,root,root) %{_bindir}/polkit-action
%attr(755,root,root) %{_bindir}/polkit-auth
%attr(755,root,root) %{_bindir}/polkit-config-file-validate
%attr(755,root,root) %{_bindir}/polkit-policy-file-validate
%dir %{_libexecdir}
%attr(2755,root,polkituser) %{_libexecdir}/polkit-explicit-grant-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-grant-helper
%attr(4754,root,polkituser) %{_libexecdir}/polkit-grant-helper-pam
%attr(2755,root,polkituser) %{_libexecdir}/polkit-read-auth-helper
%attr(4755,root,polkituser) %{_libexecdir}/polkit-resolve-exe-helper
%attr(2755,root,polkituser) %{_libexecdir}/polkit-revoke-helper
%attr(4755,polkituser,root) %{_libexecdir}/polkit-set-default-helper
%attr(755,root,root) %{_libexecdir}/polkitd
%dir %{_sysconfdir}/PolicyKit
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/PolicyKit/PolicyKit.conf
/etc/dbus-1/system.d/org.freedesktop.PolicyKit.conf
/etc/pam.d/polkit
%{_datadir}/PolicyKit
%{_datadir}/dbus-1/interfaces/org.freedesktop.PolicyKit.AuthenticationAgent.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.PolicyKit.service
%attr(775,polkituser,polkituser) %ghost /var/lib/misc/PolicyKit.reload
%attr(770,root,polkituser) /var/lib/PolicyKit
%attr(755,polkituser,root) /var/lib/PolicyKit-public
%attr(770,root,polkituser) /var/run/PolicyKit
%{_mandir}/man1/polkit-action.1*
%{_mandir}/man1/polkit-auth.1*
%{_mandir}/man1/polkit-config-file-validate.1*
%{_mandir}/man1/polkit-policy-file-validate.1*
%{_mandir}/man5/PolicyKit.conf.5*
%{_mandir}/man8/PolicyKit.8*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/polkit

%files libs
%defattr(644,root,root,755)
# notes which license applies to which package part, AFL text (and GPL text copy)
%doc COPYING
%attr(755,root,root) %{_libdir}/libpolkit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit.so.2
%attr(755,root,root) %{_libdir}/libpolkit-dbus.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-dbus.so.2
%attr(755,root,root) %{_libdir}/libpolkit-grant.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpolkit-grant.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpolkit.so
%attr(755,root,root) %{_libdir}/libpolkit-dbus.so
%attr(755,root,root) %{_libdir}/libpolkit-grant.so
%{_libdir}/libpolkit.la
%{_libdir}/libpolkit-dbus.la
%{_libdir}/libpolkit-grant.la
%{_includedir}/PolicyKit
%{_pkgconfigdir}/polkit.pc
%{_pkgconfigdir}/polkit-dbus.pc
%{_pkgconfigdir}/polkit-grant.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpolkit.a
%{_libdir}/libpolkit-dbus.a
%{_libdir}/libpolkit-grant.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: PolicyKit.spec,v $
Revision 1.40  2009/02/27 10:09:55  glen
- rebuild with updated %groupadd; rel 2

Revision 1.39  2008/08/07 12:49:06  paszczus
- updated to 0.9

Revision 1.38  2008/04/19 18:51:44  megabajt
- updated to 0.8
- removed obsolete patches (-xfs.patch and -CVE.patch)

Revision 1.37  2008-04-12 13:08:12  patrys
- CVE-2008-1658
- rel 3

Revision 1.36  2008-03-25 16:52:25  sls
- Requires: dbus >= 1.1.2-5 (required _datadir/dbus-1/interfaces)

Revision 1.35  2008-01-15 18:19:00  patrys
- make it work on xfs

Revision 1.34  2007-12-16 03:23:38  qboosh
- more

Revision 1.33  2007-12-16 03:23:14  qboosh
- whole package is on MIT X11 license now

Revision 1.32  2007-12-16 03:22:47  qboosh
- updated to 0.7

Revision 1.31  2007-11-09 12:23:53  arekm
- rel 3; keep libexecdir binaries one level deeper in own subdirectory

Revision 1.30  2007-11-09 09:26:49  arekm
- rel 2; safer polkit-grant-helper-pam perms

Revision 1.29  2007/10/30 21:53:02  qboosh
- ConsoleKit version

Revision 1.28  2007/10/13 20:37:33  megabajt
- updated to 0.6

Revision 1.27  2007/09/18 17:56:58  patrys
- R: ConsoleKit

Revision 1.26  2007/09/08 17:08:45  patrys
- remove TODO

Revision 1.25  2007/09/08 17:05:22  patrys
- create user and group

Revision 1.24  2007/09/08 16:29:00  patrys
- package datadir

Revision 1.23  2007/09/08 13:47:31  qboosh
- cleanup, updated comments
- BR: libselinux-devel (for polkit-dbus library)

Revision 1.22  2007/09/08 09:26:29  tommat
- ver 0.5

Revision 1.21  2007/07/10 16:59:05  wolvverine
- rel. 2

Revision 1.20  2007/06/24 22:12:57  qboosh
- devel deps
- removed obsolete rc-scripts and chkconfig deps

Revision 1.19  2007/06/24 21:21:39  qboosh
- some cleanups and notes
- trigger to delete PolicyKit service on upgrade

Revision 1.18  2007/06/24 11:58:40  arekm
- parallel build broken

Revision 1.17  2007/06/21 12:52:46  patrys
- drop initscript (DBUS activation)
- FIXME: someone please write a trigger to remove the service on upgrade

Revision 1.16  2007/06/21 12:46:22  patrys
- 0.3

Revision 1.15  2007/03/14 16:52:51  czarny
- up to 20070314

Revision 1.14  2007/03/05 07:54:44  arekm
- rel .2

Revision 1.13  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.11  2006/12/09 13:27:17  qboosh
- actually it's 0.2 snapshot - updated Version, release .1
- polkit user/group not needed yet (not used for anything)

Revision 1.10  2006/12/09 13:10:04  qboosh
- libpolkit License is GPL v2 or AFL v2.1

Revision 1.9  2006/12/09 13:07:03  qboosh
- separated -libs, release .6

Revision 1.8  2006/12/06 22:37:55  arekm
- rel .5

Revision 1.7  2006/12/06 07:11:16  qboosh
- package gtkdoc
- more BRs/Rs

Revision 1.6  2006/12/05 22:03:41  arekm
- rel .4

Revision 1.5  2006/12/05 21:53:42  arekm
- rel .3

Revision 1.4  2006/12/05 21:29:16  patrys
- typo

Revision 1.3  2006/12/05 21:25:33  patrys
- added init

Revision 1.2  2006/12/05 20:02:43  qboosh
- pl, unified

Revision 1.1  2006/12/03 22:21:11  arekm
- new
